View | Details | Raw Unified | Return to bug 255652
Collapse All | Expand All

(-)b/lang/rust/files/patch-vendor_openssl-sys_build_main.rs (-3 / +4 lines)
Lines 1-19 Link Here
1
--- vendor/openssl-sys/build/main.rs.orig	2020-11-16 06:27:50.000000000 -0800
1
--- vendor/openssl-sys/build/main.rs.orig	2020-11-16 06:27:50.000000000 -0800
2
+++ vendor/openssl-sys/build/main.rs	2020-12-11 12:47:11.685331000 -0800
2
+++ vendor/openssl-sys/build/main.rs	2020-12-11 12:47:11.685331000 -0800
3
@@ -221,6 +221,7 @@
3
@@ -221,6 +221,8 @@
4
             (3, 1, 0) => ('3', '1', '0'),
4
             (3, 1, 0) => ('3', '1', '0'),
5
             (3, 1, _) => ('3', '1', 'x'),
5
             (3, 1, _) => ('3', '1', 'x'),
6
             (3, 2, 0) => ('3', '2', '0'),
6
             (3, 2, 0) => ('3', '2', '0'),
7
+            (3, 2, _) => ('3', '2', 'x'),
7
+            (3, 2, _) => ('3', '2', 'x'),
8
+            (3, 3, _) => ('3', '3', 'x'),
8
             _ => version_error(),
9
             _ => version_error(),
9
         };
10
         };
10
 
11
 
11
@@ -261,7 +262,7 @@
12
@@ -261,7 +263,7 @@
12
         "
13
         "
13
 
14
 
14
 This crate is only compatible with OpenSSL 1.0.1 through 1.1.1, or LibreSSL 2.5
15
 This crate is only compatible with OpenSSL 1.0.1 through 1.1.1, or LibreSSL 2.5
15
-through 3.2.0, but a different version of OpenSSL was found. The build is now aborting
16
-through 3.2.0, but a different version of OpenSSL was found. The build is now aborting
16
+through 3.2.x, but a different version of OpenSSL was found. The build is now aborting
17
+through 3.3.x, but a different version of OpenSSL was found. The build is now aborting
17
 due to this version mismatch.
18
 due to this version mismatch.
18
 
19
 
19
 "
20
 "

Return to bug 255652